#!/bin/sh
################################################################################
#                                                                              #
# Arab Cubebox Team 2009                                                       #
#                                                                              #
# contact: http://www.cubebox.org                                              #
#                                                                              #
################################################################################

. /var/config/symlink
. /var/config/language.conf
DESTINATION=$SYMLINK/

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

arb_lang()
{
 echo "... تم إختيار اللغة العربية ,, لحظة من فضلك"
 echo lang=ar >/var/config/language.conf
 SOURCE=$SYMLINK/lang/ar/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nتم ضبط اللغة العربية"
}

eng_lang()
{
 echo "English language selected, wait.."
 echo lang=en >/var/config/language.conf
 SOURCE=$SYMLINK/lang/en/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nEnglish language set up"
}

ita_lang()
{
 echo "Linguaggio italiano selezionato, attendere.."
 echo lang=it >/var/config/language.conf
 SOURCE=$SYMLINK/lang/it/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nItaliano come lingua impostata"
}

deu_lang()
{
 echo "Deutsch Sprache gewahlt,Bitte warten.."
 echo lang=de >/var/config/language.conf
 SOURCE=$SYMLINK/lang/de/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nDeutsch Sprache aufstellen"
}

esp_lang()
{
 echo "Seleccione el idioma espanol, espere.."
 echo lang=es >/var/config/language.conf
 SOURCE=$SYMLINK/lang/es/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nEstablecer el idioma espanol"
}

pol_lang()
{
 echo "Jezyk polski wybranych, poczekaj.."
 echo lang=pl >/var/config/language.conf
 SOURCE=$SYMLINK/lang/pl/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nPolski jezyk zostal ustawiony" 
} 

fra_lang()
{
 echo "langue francaise selectionnes, attendre svp..."
 echo lang=fr >/var/config/language.conf
 SOURCE=$SYMLINK/lang/fr/
 cp -r $SOURCE* $DESTINATION
 sleep 2
 sync
 echo "\nlangue francaise mis en place"
}
#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
  'ar')
    arb_lang
    ;;
  'en')
    eng_lang
    ;;
  'it')
    ita_lang
    ;;
  'de')
    deu_lang
    ;;
  'es')
    esp_lang
    ;;
  'pl')
    pol_lang
    ;;
  'fr')
    fra_lang
    ;;
  *)
    echo -e "\nUse: language.sh ar|en|it|de|es|pl|fr"
    ;;
esac

echo ""
exit 0